<template>
  <ThemeCommonMobileMainPageWrapper back-to="/games" :title="$t('games')">
    <SharedGameFilterStyleOne
      v-model:search="searchedGame"
      :menus="gameEntryTabMenus"
      :group-title="gameGroupTitle"
      @onFilterClicked="onFilter"
      @search-games="updateSearchResult"
    />
    <div class="flex flex-col">
      <div class="p-2 game-filter-module-one-container">
        <lobby-render
          :loading="isLoading"
          :games="gameCollection"
          :is-has-group-title="false"
          :group-title="gameGroupTitle"
          class-game-name="text-white"
          :show-staus="true"
          :grid="3"
          :show-game-name="false"
          is-independent
        />
      </div>
    </div>
  </ThemeCommonMobileMainPageWrapper>
</template>

<script setup lang="ts">
import { GameFilterRequest } from "~~/models/bsiGameList";
import { IGameEntryMenu, TabGameMenu } from "~~/models/gameEntryFilter";

const {
  isLoading,
  gameCollection,
  searchedGame,
  updateSearchResult,
  getGameEntryFiltered,
  handleSearchGame,
  headerTab,
} = useGameEntryComponent();
const gameEntryTabMenus = computed(() => {
  const result: IGameEntryMenu[] = [
    {
      Menus: headerTab.value.map((item) => new TabGameMenu(item, "main")),
      IsSearchBox: false,
      Justify: "left",
      Theme: "common",
    },
    {
      Menus: [],
      IsSearchBox: true,
      Justify: "left",
      Theme: "main",
    },
  ];
  return result;
});
const gameGroupTitle = ref("Top Games");
const onFilter = (request: GameFilterRequest) => {
  getGameEntryFiltered(request);
  gameGroupTitle.value = request.Value === "" ? request.Type : request.Value;
};
watch(searchedGame, () => {
  handleSearchGame(false);
});
</script>

<style lang="scss">
.game-filter-module-one-container {
  .blog-game {
    .game-card-container {
      width: 100%;
      border-radius: 8px;
      border: 1px solid var(--border);
      overflow: hidden;

      .game-card-image {
        height: 100%;

        & > img {
          border-radius: 0;
        }
      }
      .game-name-label {
        font-size: 12px;
      }
    }
  }
}
</style>
